#!/bin/bash

#停止原程序
ps -ef | grep redis | awk '{print $2}' | xargs kill -9


# 删除旧的，避免配置干扰
rm -rf 7001 7002 7003 8001 8002 8003


#创建目录
mkdir 7001 7002 7003 8001 8002 8003


#复制配置
cp redisBackup.conf	redis.conf


#获取当前路径
filedir=$PWD
#echo "$filedir"
sed -i 's|/tmp|'${filedir}'|g' redis.conf


# 执行拷贝配置文件到每一个
echo 7001 7002 7003 8001 8002 8003 | xargs -t -n 1 cp redis.conf


#删除临时配置
rm -rf redis.conf



# 修改配置文件、将6379、每个目录对应的端口号
printf '%s\n' 7001 7002 7003 8001 8002 8003 | xargs -I{} -t sed -i 's/6379/{}/g' {}/redis.conf





# 一键启动所有服务
printf '%s\n' 7001 7002 7003 8001 8002 8003 | xargs -I{} -t redis-server {}/redis.conf

echo 'redis启动中请稍后...'

sleep 10


#查看启动情况
ps -ef | grep redis



#不带密码的集群
redis-cli --cluster create 127.0.0.1:7001  127.0.0.1:7002 127.0.0.1:7003 127.0.0.1:8001 127.0.0.1:8002 127.0.0.1:8003 --cluster-replicas 1 


#带密码执行集群
#redis-cli --cluster create 127.0.0.1:7001  127.0.0.1:7002 127.0.0.1:7003 127.0.0.1:8001 127.0.0.1:8002 127.0.0.1:8003 --cluster-replicas 1 -a CqJkyd@1106z




#不带密码登录集群
redis-cli -c -p 7001 


#带密码登录集群
#redis-cli -c -p 7001 -a CqJkyd@1106z 
